complexType "AdjustableOrAdjustedDate"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (unadjustedDate, dateAdjustments, adjustedDate?) | adjustedDate
</...>

Content Model Elements (4):

  adjustedDate (defined in AdjustableDate.model group), adjustedDate (in paymentDate defined in Payment complexType), | dateAdjustments (defined in AdjustableDate.model group), unadjustedDate (defined in AdjustableDate.model group)

All Direct / Indirect Based Elements (1):

  paymentDate (defined in Payment complexType)

Known Usage Locations

- As direct type of elements (1):
  paymentDate (defined in Payment complexType)

Annotation
A type for defining a date that shall be subject to adjustment if it would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="AdjustableOrAdjustedDate"> <xsd:choice> <xsd:group ref="AdjustableDate.model"/> <xsd:element name="adjustedDate" type="IdentifiedDate"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/4)
adjustedDate

  Type: | IdentifiedDate, simple content

  The date once the adjustment has been performed. (Note that this date may change if the business center holidays change).
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustedDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.